# $Revision: 1.17 $, $Date: 2008/07/27 23:01:58 $
Summary:	rgb color-name database and showrgb application
Summary(pl.UTF-8):	Baza danych nazw kolorów rgb i aplikacja showrgb
Name:		xorg-app-rgb
Version:	1.0.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/rgb-%{version}.tar.bz2
# Source0-md5:	44ea16cc3104de6401bc74035f642357
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
# just for dir
Requires:	xorg-lib-libX11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains color-name database (rgb.txt) and showrgb
application to uncompile such database from dbm to source format.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych nazw kolorów (rgb.txt) oraz aplikację
showrgb do dekompilacji takiej bazy z formatu dbm do źródłowego.

%prep
%setup -q -n rgb-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_bindir}/showrgb
%{_mandir}/man1/showrgb.1x*
%{_datadir}/X11/rgb.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-rgb.spec,v $
Revision 1.17  2008/07/27 23:01:58  arekm
- release 2

Revision 1.16  2008-06-07 18:45:58  arekm
- up to 1.0.3

Revision 1.15  2007/04/30 22:36:05  qboosh
- informative descs

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 12:28:23  qboosh
- more verbose files, release 1

Revision 1.11  2006/05/26 19:08:06  qboosh
- updated to 1.0.1

Revision 1.10  2006/01/12 12:44:38  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.9  2005/12/09 11:49:42  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 21:03:30  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 14:28:23  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 17:55:49  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added rgb-man.patch
- added BR: xproto-devel
- release 0.02

* Sun Aug  7 2005 18:25:41  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
